Get customer developer fees
Get the current developer fee configuration for a customer.
Returns the current developer fee configuration for the customer. Developer fees are charged by your organization on customer transactions and accumulate in your developer fee balance.
Authorization
bearerAuth Organization API key obtained on Settings > API Keys page in Compose UI.
In: header
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET 'https://compose.finance/api/v2/customers/{customerId}/developer-fees' \ -H 'Authorization: Bearer YOUR_API_KEY'{
"customerId": "550e8400-e29b-41d4-a716-446655440001",
"developerSpreadFeeBps": 100,
"updatedAt": "2024-01-15T10:30:00.000Z"
}{
"error": "Not available for AUD-only customers"
}{
"error": "Unauthorized - Invalid or missing API key or session"
}{
"error": "Customers feature is not enabled for your organization"
}{
"error": "Invalid request data"
}{
"error": "Rate limit exceeded. Please try again later."
}{
"error": "Internal server error"
}Claim developer fees POST
Initiates a transfer of your accumulated developer fees to your organization's wallet. **Claim Process** 1. Request to claim developer fees is received. 2. Transfer is initiated to your organization's wallet. 3. Transaction status can be monitored via the returned transaction ID 4. Balance updates when the on-chain transfer completes
Get developer fee balance GET
Returns your organization's current developer fee balance. This balance accumulates from fees charged on customer deposits and can be claimed to your organization's wallet. All three amounts read `"0"` until your organization's wallet is configured for claiming, even if fees have accrued.

